[P7] Assemble Meeting Document
curl --request POST \
--url https://api-lr.agent.ai/v1/action/meeting_prep_assemble_meeting_document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"section_overview": "{{meeting_sections.sections.overview}}",
"section_attendees": "{{meeting_sections.sections.attendees}}",
"section_company": "{{meeting_sections.sections.company}}",
"section_strategy": "{{meeting_sections.sections.strategy}}",
"section_goals": "{{meeting_sections.sections.goals}}",
"output_variable_name": "assembled_document",
"processed_gcal_event": "{{processed_gcal_event}}",
"user_first_name": "{{user.context.first_name}}"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/meeting_prep_assemble_meeting_document"
payload = {
"section_overview": "{{meeting_sections.sections.overview}}",
"section_attendees": "{{meeting_sections.sections.attendees}}",
"section_company": "{{meeting_sections.sections.company}}",
"section_strategy": "{{meeting_sections.sections.strategy}}",
"section_goals": "{{meeting_sections.sections.goals}}",
"output_variable_name": "assembled_document",
"processed_gcal_event": "{{processed_gcal_event}}",
"user_first_name": "{{user.context.first_name}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
section_overview: '{{meeting_sections.sections.overview}}',
section_attendees: '{{meeting_sections.sections.attendees}}',
section_company: '{{meeting_sections.sections.company}}',
section_strategy: '{{meeting_sections.sections.strategy}}',
section_goals: '{{meeting_sections.sections.goals}}',
output_variable_name: 'assembled_document',
processed_gcal_event: '{{processed_gcal_event}}',
user_first_name: '{{user.context.first_name}}'
})
};
fetch('https://api-lr.agent.ai/v1/action/meeting_prep_assemble_meeting_document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Meeting Prep
[P7] Assemble Meeting Document
Combines all generated sections into a unified meeting prep document structure ready for HTML rendering.
POST
/
action
/
meeting_prep_assemble_meeting_document
[P7] Assemble Meeting Document
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
The overview section from Generate Meeting Sections.
The attendees section from Generate Meeting Sections.
The company section from Generate Meeting Sections.
The strategy section from Generate Meeting Sections.
The goals section from Generate Meeting Sections.
Variable name to store assembled document.
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$For extracting conference link and metadata.
User's first name for personalization.
⌘I

